Subject: Productivity
From: Saurabh Dadu <[email-masked]>
To: abdulmajeed alanzy <[email-masked]>
Cc: Shakeeb Arsalan <[email-masked]>
Date: Thu, 10 Feb 2022 11:26:07 +0000

Dear Abdulmajeed,

I hope you are well. I've stopped getting your daily reports. However the more important point I wish to make here right now is the problem in Homebox Team's productivity.

I see you have a lot of attrition, managing which is the responsibility of your company. We are paying you full money for each agent, but most of them are not even delivering the mandatory target.

We would need that every agent meet their mandatory targets, and the day those people don't meet the mandatory targets, we will have to reduce their billable attendance to the prorated to their actual productivity.

I am sure you understand when the target is 90, and an agent does only 20 cases, we cannot pay him for working on 90 cases.

I need you to take serious action on this right now, as this is hurting us and our clients.

Saurabh Dadu
LiveSalesman
India: +91 120 4332621 x 17
US: 1 240 949 2437
Cell: +91 9810175203